using System;

namespace FlowBots.Util
{
	public class TrialCheck
	{
		public static bool TrialVerify(string product, out bool verify)
		{
			if (Delegate663.smethod_0(Delegate81.smethod_0(Delegate81.delegate81_0), new DateTime(2018, 3, 31, 23, 59, 59), Delegate663.delegate663_0))
			{
				Delegate731.smethod_0(Delegate51.smethod_0("Versão trail expirada. Você pode adquirir o produto \"", product, "\" em https://flowbots.ninja", Delegate51.delegate51_0), 0, Delegate731.delegate731_0);
				verify = false;
				return false;
			}
			verify = true;
			return true;
		}

		internal static object smethod_0(int int_0)
		{
			return Class10.smethod_17(int_0);
		}

		internal static void smethod_1()
		{
		}

		internal static void smethod_2()
		{
		}

		internal static void smethod_3()
		{
		}
	}
}
